package ctbrec.ui;

import java.io.IOException;

import ctbrec.Model;
import ctbrec.ui.sites.ConfigUI;
import ctbrec.ui.tabs.TabProvider;

public interface SiteUI {

    public TabProvider getTabProvider();
    public ConfigUI getConfigUI();
    public boolean login() throws IOException;
    public boolean play(Model model);
}
